

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'loadsStatus.dart';

class StatusViews extends StatelessWidget {
  const StatusViews(this.status, {Key key, this.onTap}) : super(key: key);
  final int status;
  final GestureTapCallback onTap;

  @override
  Widget build(BuildContext context) {
    switch (status) {
      case LoadsStatus.fail:
        return new Container(
          width: double.infinity,
          child: new Material(
            color: Colors.white,
            child: new InkWell(
              onTap: () {
                onTap();
              },
              child: new Column(
                mainAxisAlignment: MainAxisAlignment.center,
                children: <Widget>[
                  new Image.asset(
                    "images/noNetwork.png",
                    package: "flutter_pull_refresh_sdk",
                    width: 100,
                    height: 100,
                  ),
                  SizedBox(width: 10),
                  new Text(
                    "网络出问题了～ 请您查看网络设置",
                    style: TextStyle(
                      fontSize: 14,
                      color: Color.fromRGBO(0, 0, 0, 1)
                    )
                  ),
                  SizedBox(width: 5),
                  new Text(
                    "点击屏幕，重新加载",
                    style: TextStyle(
                      fontSize: 14,
                      color: Color.fromRGBO(0, 0, 0, 1)
                    )
                  ),
                ],
              ),
            ),
          ),
        );
        break;
      case LoadsStatus.loading:
        return new Container(
          alignment: Alignment.center,
          color: Color.fromRGBO(0, 0, 0, 1),
          child: new ProgressView(),
        );
        break;
      case LoadsStatus.empty:
        return new Container(
          color: Colors.white,
          width: double.infinity,
          child: new Center(
            child: new Column(
              mainAxisAlignment: MainAxisAlignment.center,
              children: <Widget>[
                new Image.asset(
                  "images/noData.png",
                  package: "flutter_pull_refresh_sdk",
                  width: 60,
                  height: 60,
                ),
                SizedBox(width: 10,),
                new Text(
                  "空空如也～",
                  style: TextStyle(
                      fontSize: 14,
                      color: Color.fromRGBO(0, 0, 0, 1)
                    )
                ),
              ],
            ),
          ),
        );
        break;
      default:
        return Container();
        break;
    }
  }
}

class ProgressView extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return new Center(
      child: new SizedBox(
        width: 24.0,
        height: 24.0,
        child: new CircularProgressIndicator(
          strokeWidth: 2.0,
        ),
      ),
    );
  }
}